<?xml version="1.5" ?>
<launch>
    <arg name="model_name" default=""/>
    <arg name="x" default="0.0"/>
    <arg name="y" default="0.0"/>
    <arg name="z" default="0.0"/>
    <arg name="roll" default="0.0"/>
    <arg name="pitch" default="0.0"/>
    <arg name="yaw" default="0.0"/>
    <arg name="sdf_file" default=""/>

    <node name="$(arg model_name)_spawn_sdf" 
    pkg="gazebo_ros" 
    type="spawn_model" 
    respawn="false" 
    output="screen" 
    args="-file $(arg sdf_file) -sdf 
    -x $(arg x) -y $(arg y) -z $(arg z) 
    -R $(arg roll) -P $(arg pitch) -Y $(arg yaw) 
    -model $(arg model_name)"/>
</launch>